# _MapEntry\[K: [Any](builtin-Any.md) #share, V: [Any](builtin-Any.md) #share, H: [HashFunction](collections-HashFunction.md)\[K\] val\]
<span class="source-link">[[Source]](src/collections-persistent/_map_node.md#L3)</span>
```pony
class val _MapEntry[K: Any #share, V: Any #share, H: HashFunction[K] val]
```

## Constructors

### create
<span class="source-link">[[Source]](src/collections-persistent/_map_node.md#L7)</span>


```pony
new val create(
  k: K,
  v: V)
: _MapEntry[K, V, H] val^
```
#### Parameters

*   k: K
*   v: V

#### Returns

* [_MapEntry](collections-persistent-_MapEntry.md)\[K, V, H\] val^

---

## Public fields

### let key: K
<span class="source-link">[[Source]](src/collections-persistent/_map_node.md#L4)</span>



---

### let value: V
<span class="source-link">[[Source]](src/collections-persistent/_map_node.md#L5)</span>



---

## Public Functions

### apply
<span class="source-link">[[Source]](src/collections-persistent/_map_node.md#L11)</span>


```pony
fun box apply(
  k: K)
: (V | None val)
```
#### Parameters

*   k: K

#### Returns

* (V | [None](builtin-None.md) val)

---

